Xfce Forum

Sub domains
 

You are not logged in.

#1 2010-11-09 22:06:27

YourSexyMama
Member
Registered: 2010-11-09
Posts: 2

xfce 4.8pre1, pre2 & pre3

Below are the things I needed to install prior to completing the 4.8 install.  These are the packages I didn't have and I don't believe come with a base install:

intltool libglib2.0-dev libgtk2.0-dev libglade2-dev libgladeui-1-dev libdbus-1-dev libdbus-glib-1-dev libwnck-dev

Pre1:
garcon_0.1.2 https://launchpad.net/ubuntu/natty/+sou … ig.tar.bz2

Pre2:
garcon_0.1.4 https://launchpad.net/ubuntu/natty/+sou … ig.tar.bz2

Pre3:
garcon_0.1.5 https://launchpad.net/ubuntu/+archive/p … ig.tar.bz2


The rest is all (following the order of http://www.xfce.org/download/building):
$ ./configure (it will fail loudly if you need other packages installed prior to its installation)
$ make
$ sudo make install.

~B

Last edited by YourSexyMama (2011-02-03 19:33:39)

Offline

#2 2010-11-09 22:33:09

herd
Member
From: Germany
Registered: 2006-05-18
Posts: 143
Website

Re: xfce 4.8pre1, pre2 & pre3

Have a look at ~/.xsession-errors (if you use gdm) that might hint at the problem.

Offline

#3 2010-11-09 23:49:52

YourSexyMama
Member
Registered: 2010-11-09
Posts: 2

Re: xfce 4.8pre1, pre2 & pre3

Thank You, Herd!

My .xsession-error is saying:
libexo-1.so.0: cannot open shared object file: no such file or directory
Failed to load module: /usr/lib/gio/modules/libexo-module-1.so

The files both exist and are open for execution...

Offline

#4 2010-11-11 03:59:56

kott
Member
Registered: 2010-11-11
Posts: 2

Re: xfce 4.8pre1, pre2 & pre3

Fail to emerge xfce4-meta-4.8_pre

emerging =xfce-base/xfce4-meta-4.8_pre
Calculating dependencies... done!
[ebuild     U ] xfce-base/xfce-utils-4.7.1 [4.6.2]
[ebuild     U ] xfce-base/xfwm4-4.7.1 [4.6.2]
[ebuild     U ] xfce-base/libxfce4ui-4.7.4 [4.7.3]
[ebuild     U ] xfce-base/xfce4-settings-4.7.4 [4.6.5]
[ebuild  N    ] xfce-base/garcon-0.1.3  USE="-debug"
[ebuild     U ] xfce-base/xfce4-panel-4.7.4 [4.6.4]
[ebuild     U ] xfce-base/xfdesktop-4.7.2 [4.6.2] USE="libnotify%*"
[blocks b     ] <xfce-base/xfdesktop-4.7.0 ("<xfce-base/xfdesktop-4.7.0" is blocking xfce-base/garcon-0.1.3)
[ebuild     U ] xfce-base/xfce4-session-4.7.1-r1 [4.6.2] XFCE_PLUGINS="logout%*"
[ebuild     U ] xfce-base/xfce4-meta-4.8_pre [4.6.2]

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

xfce-base/libxfce4ui:0

  (xfce-base/libxfce4ui-4.7.3, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (xfce-base/libxfce4ui-4.7.4, ebuild scheduled for merge) pulled in by
    >=xfce-base/libxfce4ui-4.7.4 required by (xfce-base/xfce4-settings-4.7.4, ebuild scheduled for merge)

Offline

#5 2010-11-11 05:48:23

kott
Member
Registered: 2010-11-11
Posts: 2

Re: xfce 4.8pre1, pre2 & pre3

Solved:
remove old xfdesktop-4.6.2 and libxfcegui4-4.6.4
emerge =xfce-base/xfdesktop-4.6.2 =xfce-base/libxfcegui4-4.6.4 -C

Offline

#6 2010-11-11 07:35:04

tbk2000
Member
Registered: 2010-08-05
Posts: 10

Re: xfce 4.8pre1, pre2 & pre3

Fail to xfce4.8pre1,when install xfce4-settings-4.7.4.

ake[3]: Entering directory `/home/Tang/tmp/xfce/xfce4-settings-4.7.4/dialogs/keyboard-settings'
  CC     xfce4_keyboard_settings-xfce-keyboard-settings.o
xfce-keyboard-settings.c: 在 '_xfce_keyboard_settings_load_shortcut'中:
xfce-keyboard-settings.c:502:47: error:'XfceShortcut' has no member named 'snotify'
...
...

Offline

#7 2010-11-11 12:26:40

jeromeg
Moderator
From: France
Registered: 2010-11-11
Posts: 131
Website

Re: xfce 4.8pre1, pre2 & pre3

tbk2000: re your issue, it's likely that you have an old version of libxfcegui4 still installed somewhere or some garbage leftover. I solved this by removing /usr/include/xfce4/libxfce4kbdprivate* and hten by reinstalling the latest libxfcegui4 (4.7.0) and libxfce4ui. Note that this could be in /usr/local/include depending on how you installed this stuff.

Cheers,

Jérôme

Offline

#8 2010-11-12 01:52:11

tbk2000
Member
Registered: 2010-08-05
Posts: 10

Re: xfce 4.8pre1, pre2 & pre3

Thank You, jeromeg!
I will try it.

Offline

#9 2010-11-15 02:51:40

tbk2000
Member
Registered: 2010-08-05
Posts: 10

Re: xfce 4.8pre1, pre2 & pre3

install xfce4-settings-4.7.4,all right.
But,Thunar-1.1.4  isn't using removable media,is why?

Offline

#10 2010-11-15 04:42:34

gnome_refugee
Member
Registered: 2010-01-15
Posts: 165

Re: xfce 4.8pre1, pre2 & pre3

Hi, tbk2000.

You say Thunar is not using removable media. Do you mean the media are mounted, but are not showing up in Thunar? Please check to see if you are not sure: plug in the media and see if it is listed with lsusb.

If this is the problem, it has been mentioned on a number of other forums. I have only seen it so far on one of our home computers - an Asus eeepc 900 running Linux Mint 9 Xfce. I have not been able to fix the problem, but my workaround is to log out, then log in. The removable media mysteriously appears in Thunar when I log back in.

Offline

#11 2010-11-15 06:50:41

tbk2000
Member
Registered: 2010-08-05
Posts: 10

Re: xfce 4.8pre1, pre2 & pre3

Thunar-1.0.2 should show it  when insert  removable media in computer.But Thunar-1.1.4 are not showing up and can't mount.The removable media is good.
log out ,then log in;it's not effect.

Offline

#12 2010-11-15 06:59:03

gnome_refugee
Member
Registered: 2010-01-15
Posts: 165

Re: xfce 4.8pre1, pre2 & pre3

"Thunar-1.0.2 should show it  when insert  removable media in computer.But Thunar-1.1.4 are not showing up and can't mount.The removable media is good.
log out ,then log in;it's not effect."

This is strange. Thunar should not have any effect on whether the media is mounted or not. Anybody else have any ideas?

Offline

#13 2010-11-15 07:11:45

tbk2000
Member
Registered: 2010-08-05
Posts: 10

Re: xfce 4.8pre1, pre2 & pre3

Thunar-1.0.2:insert the media(i.e. USB stick),an object that represents the media is added to the side pane of thanur.To actually mount the media, click on the object that represents the media.

Thunar-1.1.4:it's not the effect.

Offline

#14 2010-11-15 07:55:07

gnome_refugee
Member
Registered: 2010-01-15
Posts: 165

Re: xfce 4.8pre1, pre2 & pre3

tbk2000, I am still not 100% clear on what you are saying.
On most systems, if you plug in USB drive, it will automount.
To test whether the system can actually see the USB, use 'lsusb'.
To test whether the USB has automounted, use 'mount' (no options). For example, with a USB flash drive plugged in I see

/dev/sda1 on / type ext4 (rw,errors=remount-ro)
tmpfs on /lib/init/rw type tmpfs (rw,nosuid,mode=0755)
proc on /proc type proc (rw,noexec,nosuid,nodev)
sysfs on /sys type sysfs (rw,noexec,nosuid,nodev)
udev on /dev type tmpfs (rw,mode=0755)
tmpfs on /dev/shm type tmpfs (rw,nosuid,nodev)
devpts on /dev/pts type devpts (rw,noexec,nosuid,gid=5,mode=620)
/dev/sdb on /media/disk type vfat (rw,nosuid,nodev,uhelper=hal,uid=1000,shortname=winnt)

showing that the drive is mounted at /media/disk

Are you saying: yes, the system sees this USB drive, and yes, it is mounted, but no, Thunar does not show it?

Or are you saying that on your system, if you plug in a USB drive, it does not automount but it shows up in Thunar anyway?

Offline

#15 2010-11-15 09:01:45

tbk2000
Member
Registered: 2010-08-05
Posts: 10

Re: xfce 4.8pre1, pre2 & pre3

sorry for my bad english
1、yes, the system sees this USB drive; but no, Thunar does not show it?
2、I plug in a USB drive, it does not automount but it not shows up in Thunar anyway?

Offline

#16 2010-11-16 08:15:40

gnome_refugee
Member
Registered: 2010-01-15
Posts: 165

Re: xfce 4.8pre1, pre2 & pre3

Hi, tbk2000.

I'm on holiday now and away from my computers, so I cannot help further. Maybe someone else can suggest something?

Offline

#17 2010-11-16 10:19:18

stavrosg
Member
Registered: 2005-10-05
Posts: 2

Re: xfce 4.8pre1, pre2 & pre3

tbk2000 wrote:

sorry for my bad english
1、yes, the system sees this USB drive; but no, Thunar does not show it?
2、I plug in a USB drive, it does not automount but it not shows up in Thunar anyway?

Can you please try to rephrase this?

Also, is thunar-volman installed?

Offline

#18 2010-11-17 06:45:21

tbk2000
Member
Registered: 2010-08-05
Posts: 10

Re: xfce 4.8pre1, pre2 & pre3

Thank you.

Uninstall xfce4.8per1 and install xfce4.62,all things ok.
Maybe,it's  unstalbe for xfce4.8pre1.

Offline

#19 2010-12-05 10:59:46

roodap
Member
Registered: 2010-12-05
Posts: 13

Re: xfce 4.8pre1, pre2 & pre3

>>> Install xfce4-meta-4.8_pre into /var/tmp/portage/xfce-base/xfce4-meta-4.8_pre/image/ category xfce-base
>>> Completed installing xfce4-meta-4.8_pre into /var/tmp/portage/xfce-base/xfce4-meta-4.8_pre/image/


>>> Installing (1 of 1) xfce-base/xfce4-meta-4.8_pre
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

* GNU info directory index is up-to-date.
localhost ~ #

i thought it is going to install all apckages from xfce-4.8_pre.
but just one installed.
the other things are xfce-4.7.0 [ well some of them are 4.6]

Offline

#20 2011-01-28 06:00:11

tbk2000
Member
Registered: 2010-08-05
Posts: 10

Re: xfce 4.8pre1, pre2 & pre3

for Thunar-1.1.4  isn't using removable media.
I see.beause,I don,t install gvfs.

Offline

Board footer

Powered by FluxBB